How to find the Centroid of Set of Points
@Cape_Olive wrote: I just started learning python scripting and trying to work on relatively easy stuff to practice. So, I imported some points from rhino and I want to find the centroid of the...
View ArticleAdjusting printers pagesize
@DominikIC wrote: Hy there, when "scripting" the print command and adjusting the pagesize thereby the printer actually does not adjust the printer size afterwards.... Here are the steps I do as...
View ArticleRhinocommon filter specific objects
@JimCarruthers wrote: In RhinoCommon, how to I set up a prompt for object selection that's restricted to a certain list of objects? Thanks,James Posts: 2 Participants: 2 Read full topic
View ArticleBug in Python SplitBrep?
@ZmeiGorynych wrote: Hi, I'm trying to split an ellipsoid with another surface in the attached file. When I do the split manually in the UI, it splits fine into two pieces, whereas when I do the same...
View ArticlePython script to make text dots with Z height out of points?
@3dkevin wrote: As my scripting skills are quite limited, I was wondering if someone knows if there is a Python script for the mac that will make text dots with the Z heights out of point ? I made a...
View ArticleAsking for multiple command-line options
@JimCarruthers wrote: I'm sure there is a good example somewhere already but if someone can point me to it, I want to set up a prompt to modify several numeric parameters at once (well in no...
View ArticleSend "enter" to the rhino command line
@dchristev wrote: Hi guys I'm trying to create a script to automate the texture mapping of a mesh based on a surfaces coordinates, however the rhino command line always gets stuck at picking target...
View ArticleRead XML files
@tobias wrote: Hi all,I wonder if it's possible to use an XML file to store data and read it with RhinoScript similar to the way it works with ini files? thanks, Tobias Posts: 6 Participants: 3 Read...
View ArticleCreating a new viewport with python/rhinocommon
@Matti_Pirinen wrote: Hi,Sorry about a noob question: I'm trying to use rhinocommon with python to create a new viewport in rhino with the following methodRhino.DocObjects.Tables.ViewTable.Add the...
View ArticleFindByUserString
@ZweiP wrote: Hi, I have a problem. When I try to use the FindByUserString Command, it doesn't find the Objects. I can set and get the UserString Data. Is it a bug or am I doing it wrong. Here is the...
View ArticleGetNumber() with toggle option like Circle radius/diameter
@Helvetosaur wrote: Hi all, Looking for a smaple of how to program RhinoCommon GetNumber with a single toggle option like the Rhino command Circle has for Diameter./Radius. I know how to do this with...
View ArticleRhino python scripting help for NURBS modeling
@Sachin_Saxena1 wrote: I wish to draw a NURBS curve of degree 7 and with 8 control points. I've written the following code but this is not working somehow .Could anyone please help me out with...
View ArticleExcel handling help in Rhino python
@Sachin_Saxena1 wrote: Hi!I was working on NURBS modeling using rhino python in which I had to draw several models whith several different sets of control point weights.Now,I have a matrix with 18...
View ArticleRhino saves file then (annoyingly) prompts to save file
@Peter2 wrote: I have created a 3D dxf file from Excel inputs.. It has one annoying issue -- it prompts to save the file (but the script has already saved. I have to press the "N" key repeatedly to...
View ArticleDeleting a curve using Rhino python
@Sachin_Saxena1 wrote: Hi,I wish to draw multiple curves and save each of them in a seperate file.In doing the same,I need to keep deleting the previous curve before saving the new one.I tried using...
View ArticleBoth sides offset using IronPython
@Himanshu_saxena wrote: Hi,I needed some help regarding implementation of both sides offset using IronPython scripting.At present I am using the sample offset code given in the documentation in which...
View ArticleHow to join 2 circles into a "snowman"?
@polarbrainfreeze wrote: I'm trying to do something which I think should be really simple. With python, I want to create 2 circles that overlap, like a snowman, create their surfaces, and then merge...
View ArticleMirror transformation of a curve using Rhino python
@Himanshu_Saxena1 wrote: Hey everyone!I was working on a project which requires reflecting a curve several times for which I came to know about the mirror command.Would be great if anyone can help me...
View ArticleMirror transformation
@Sachin_Saxena1 wrote: Can anyone please help me out with the mirror transformation in Rhino python ?As of now I have come across a command Rhino.Geometry.Transform.Mirror(point, normal) ,but I am...
View ArticleAdding ends to both side offset in Rhino Python
@Sachin_Saxena1 wrote: Hi !I wanted to use both side offset in rhino python coding . I have added 2 offsets as of now,one with positive distance and another with a negative distance .I have also added...
View Article